gtkmm 3.13.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::TextChildAnchor Class Reference
TextView Classes

A TextChildAnchor is a spot in the buffer where child widgets can be "anchored" (inserted inline, as if they were characters). More...

`#include <gtkmm/textchildanchor.h>`

Inheritance diagram for Gtk::TextChildAnchor:
[legend]

## Public Member Functions
virtual | ~TextChildAnchor ()
GtkTextChildAnchor* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkTextChildAnchor* | gobj () const
| Provides access to the underlying C GObject. More...
GtkTextChildAnchor* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
std::vector< Widget* > | get_widgets ()
| Gets a list of all widgets anchored at this child anchor. More...
std::vector< const Widget* > | get_widgets () const
| Gets a list of all widgets anchored at this child anchor. More...
bool | get_deleted () const
| Determines whether a child anchor has been deleted from the buffer. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr < TextChildAnchor > | create ()

## Protected Member Functions
| TextChildAnchor ()

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gtk::TextChildAnchor > | wrap (GtkTextChildAnchor* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A TextChildAnchor is a spot in the buffer where child widgets can be "anchored" (inserted inline, as if they were characters).

The anchor can have multiple widgets anchored, to allow for multiple views.

Typedefed as Gtk::TextBuffer::ChildAnchor.

## Constructor & Destructor Documentation

virtual Gtk::TextChildAnchor::~TextChildAnchor | ( |  | ) |
| virtual

Gtk::TextChildAnchor::TextChildAnchor | ( |  | ) |
| protected

## Member Function Documentation

static Glib::RefPtr<TextChildAnchor> Gtk::TextChildAnchor::create | ( |  | ) |
| static

bool Gtk::TextChildAnchor::get_deleted | ( |  | ) | const

Determines whether a child anchor has been deleted from the buffer.

Keep in mind that the child anchor will be unreferenced when removed from the buffer, so you need to hold your own reference (with Glib::object_ref()) if you plan to use this function — otherwise all deleted child anchors will also be finalized.

Returns
  `true` if the child anchor has been deleted from its buffer.

static GType Gtk::TextChildAnchor::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

std::vector<Widget*> Gtk::TextChildAnchor::get_widgets | ( |  | ) |

Gets a list of all widgets anchored at this child anchor.

Returns
  List of widgets anchored at anchor.

std::vector<const Widget*> Gtk::TextChildAnchor::get_widgets | ( |  | ) | const

Gets a list of all widgets anchored at this child anchor.

Returns
  List of widgets anchored at anchor.

GtkTextChildAnchor* Gtk::TextChildAnchor::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkTextChildAnchor* Gtk::TextChildAnchor::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkTextChildAnchor* Gtk::TextChildAnchor::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::TextChildAnchor > wrap | ( | GtkTextChildAnchor * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.